fsrw.d(1m)

NAME
fsrw.d - file system read/write event tracing. Uses DTrace.

SYNOPSIS
fsrw.d

DESCRIPTION
This traces file related activity: system call reads and writes, vnode logical read and writes (fop), and disk I/O. It can be used to examine the behaviour of each I/O layer, from the syscall interface to what the disk is doing. Behaviour such as read-ahead, and max I/O size breakup can be observed. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - this script uses fbt provider probes which may change for future updates of the OS, invalidating this script. Please read Docs/Notes/ALLfbt_notes.txt for further details about these fbt scripts.

EXAMPLES

Trace file system read/write events,
    # fsrw.d

FIELDS

Event
    traced event (see EVENTS below)

Device
    device, for disk I/O

RW  either Read or Write

Size
    size of I/O in bytes

Offset
    offset of I/O in kilobytes

Path
    path to file on disk

EVENTS

sc-read
    system call read

sc-write
    system call write

fop_read
    logical read

fop_write
    logical write

disk_io
    physical disk I/O

disk_ra
    physical disk I/O, read ahead

IDEA
Richard McDougall, Solaris Internals 2nd Ed, FS Chapter.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
fsrw.d will trace until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
fspaging.d(1M), dtrace(1M)